from keras.applications import VGG19
from keras.layers import *
from keras.models import *
from keras.optimizers import *


def vgg_19(y_true, y_pred):
    y_true = tf.convert_to_tensor(y_true, np.float32)
    y_pred = tf.convert_to_tensor(y_pred, np.float32)

    vgg19 = VGG19(include_top=False, weights='imagenet')
    vgg19.trainable = False
    for l in vgg19.layers:
        l.trainable = False
    # model = Model(inputs=vgg19.input, outputs=vgg19.get_layer('block5_conv4').output)
    model = Model(inputs=vgg19.input, outputs=vgg19.get_layer('block3_conv4').output)
    model.trainable = False

    return K.mean(K.square(model(y_true) - model(y_pred)), axis=[1, 2, 3])
