from models.data import *
from models.unet_geu.model import network

scale = 2
model = network(input_size=(32, 32, 3), scale=scale)

weight_path = "../models/unet_geu/mlfdb_64_all.hdf5"
path_lr = "../mlfdb_prepared/test/"
save_results = "results/"

model.load_weights(weight_path)

dir = os.listdir(path_lr + "/1/32x32/")

for file in dir:
    imgs = get_images(path_lr, file, input_size=(32, 32))
    item = model.predict(imgs)
    item[item > 1] = 1
    item[item <= 0] = 0
    rescaled = (item * 255).astype(np.uint8)
    io.imsave(os.path.join(save_results + file), rescaled[0])

