import os
from shutil import copyfile

dataset_path = "mlfdb/mlfdb/"
dataset_output = "mlfdb_prepared/"


def create_dirs(name):
    os.mkdir(dataset_output + name)
    for i in range(1, 8):
        os.mkdir(dataset_output + name + "/" + str(i))
        os.mkdir(dataset_output + name + "/" + str(i) + "/32x32")

    os.mkdir(dataset_output + "/" + name + "/" + "output_64")
    os.mkdir(dataset_output + "/" + name + "/" + "output_128")
    os.mkdir(dataset_output + "/" + name + "/" + "output_256")


def copy_images(name):
    dirs = os.listdir(dataset_path + name + "/")

    for file in dirs:
        frames = os.listdir(dataset_path + name + "/" + file)
        for frame in frames:
            src = dataset_path + name + "/" + file + "/" + frame
            if frame == "img_1.JPG":
                dst = dataset_output + name + "/" + "1/32x32/" + file + ".JPG"
                copyfile(src, dst)
            elif frame == "img_2.JPG":
                dst = dataset_output + name + "/" + "2/32x32/" + file + ".JPG"
                copyfile(src, dst)
            elif frame == "img_3.JPG":
                dst = dataset_output + name + "/" + "3/32x32/" + file + ".JPG"
                copyfile(src, dst)
            elif frame == "img_4.JPG":
                dst = dataset_output + name + "/" + "4/32x32/" + file + ".JPG"
                copyfile(src, dst)
            elif frame == "img_5.JPG":
                dst = dataset_output + name + "/" + "5/32x32/" + file + ".JPG"
                copyfile(src, dst)
            elif frame == "img_6.JPG":
                dst = dataset_output + name + "/" + "6/32x32/" + file + ".JPG"
                copyfile(src, dst)
            elif frame == "img_7.JPG":
                dst = dataset_output + name + "/" + "7/32x32/" + file + ".JPG"
                copyfile(src, dst)
            elif frame == "label.JPG":
                dst = dataset_output + name + "/" + "output_64/" + file + ".JPG"
                copyfile(src, dst)
            elif frame == "label_128.JPG":
                dst = dataset_output + name + "/" + "output_128/" + file + ".JPG"
                copyfile(src, dst)
            elif frame == "label_256.JPG":
                dst = dataset_output + name + "/" + "output_256/" + file + ".JPG"
                copyfile(src, dst)


def create_db_for_x4(name):
    dirs = os.listdir("mlfdb_prepared/" + name + "/output_128/")

    for file in dirs:
        for i in range(1, 8):
            src = dataset_output + name + "/" + str(i) + "/32x32/" + file
            dst = dataset_output + name + "/" + str(i) + "/for_x4/" + file
            copyfile(src, dst)


# create_dirs("questionnaire_data")

# copy_images("questionnaire_data")

create_db_for_x4('questionnaire_data')
